Ask Your Question
1

I am trying to install asp net mvc 1.0 in servers. Can anyone help me with the code.

asked 2015-12-17 15:25:40 -0500

sra1 p gravatar image

Below is the code I am using in ruby mine.

package { 'Microsoft ASP NET MVC': ensure => 'installed', provider => 'msi' source => "$profile::base::installersPath\AspNetMVC1.msi", install_options => ['/S',{'INSTALLDIR'=> 'C:\AspNetMVC1.0'}], }

And below is the error I am getting : Error: Could not update: Failed to install: Fatal error during installation. Error: /Stage[main]/Profile::ABCD/Package[Microsoft ASP.NET MVC]/ensure: cha nge from absent to 1.0 failed: Could not update: Failed to install: Fatal error during installation.

. If my code is wrong can anyone rectify it and put the correct code with some explanation.

edit retag flag offensive close merge delete

Comments

Can you run puppet agent with --debug to check for any more on the errors? It might have to do with passing that hash under install_options, but worth investigating verbose output before digging further into it.

souldonut gravatar imagesouldonut ( 2015-12-21 17:47:43 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-11-04 01:50:09 -0500

try this command msiexec /i <msipath>setup.msi /l*v c:\temp\msi.log

to know the exact error.but this is normal way..

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-12-17 15:01:50 -0500

Seen: 53 times

Last updated: Dec 17 '15